<?php
include('/home/devworks/public_html/lp/config/lp.config.php');
require '/home/devworks/public_html/lp/src/Classes/PHPExcel.php'; // Certifique-se de ajustar o caminho para o arquivo PHPExcel.php

// Criar nova planilha
$spreadsheet = new PHPExcel();
$sheet = $spreadsheet->setActiveSheetIndex(0);

// Definir cabeçalhos
$sheet->setCellValue('A1', 'Email');
$sheet->setCellValue('B1', 'Telefone');

// Consultar dados da tabela
$sql = "SELECT * FROM mailing WHERE idPagina = '".$_GET['lp']."'";
$result = $conecta->query($sql);

$rowNum = 2; // Começar a partir da linha 2 para os dados

if ($result->num_rows > 0) {
    while ($row = $result->fetch_assoc()) {
        $email = $row['email'];
        $telefone = $row['telefone'];
        $extra = $row['extra'];
        $nomeExtra = $row['nomeExtra'];

        // Preencher colunas email e telefone
        $sheet->setCellValue('A' . $rowNum, $email);
        $sheet->setCellValue('B' . $rowNum, $telefone);

        // Verificar se o campo extra é diferente de 'nd'
        if ($extra !== 'nd') {
            // Definir o nome da coluna para o campo extra (baseado no nomeExtra)
            $sheet->setCellValue('C1', $nomeExtra);
            $sheet->setCellValue('C' . $rowNum, $extra);
        }

        $rowNum++;
    }
}

// Definir título da planilha
$spreadsheet->getActiveSheet()->setTitle('Mailing');

// Gerar arquivo Excel
$writer = PHPExcel_IOFactory::createWriter($spreadsheet, 'Excel2007');
$filename = 'mailing_lista_'.$_GET['lp'].'.xlsx';

// Definir cabeçalhos para download do arquivo
header('Content-Type: application/vnd.openxmlformats-officedocument.spreadsheetml.sheet');
header('Content-Disposition: attachment;filename="' . $filename . '"');
header('Cache-Control: max-age=0');

$writer->save('php://output');

// Fechar a conexão com o banco de dados
$conecta->close();
?>
