<?php
session_start();
if((!isset ($_SESSION['login']) == true) and (!isset ($_SESSION['password']) == true))
{
  unset($_SESSION['login']);
  unset($_SESSION['senha']);
  header('location:/?error=2');
  }

$email = $_SESSION['login'];
  
date_default_timezone_set('America/Sao_Paulo');
$error = $_GET['error'];

include('/home/devworks/public_html/lp/config/lp.config.php');

function verificarDNS($dominio) {
    // Verifica registros A ou AAAA
    if (checkdnsrr($dominio, 'A') || checkdnsrr($dominio, 'AAAA')) {
        return "online";
    }
    
    // Verifica registros CNAME
    if (checkdnsrr($dominio, 'CNAME')) {
        return "online";
    }
    
    // Se nenhum registro foi encontrado
    return "offline";
}

?>
<!DOCTYPE html>
<html lang="pt-BR">
<head>
    <script src="https://cdn.tiny.cloud/1/c6qfo5igj2ezhyzgx91v1ihqe6au9w13wdchf64pxtgxxaf9/tinymce/7/tinymce.min.js" referrerpolicy="origin"></script>
	
	<!-- CodeMirror CSS -->
	<link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/codemirror@5.65.13/lib/codemirror.css">

	<!-- CodeMirror JS -->
	<script src="https://cdn.jsdelivr.net/npm/codemirror@5.65.13/lib/codemirror.js"></script>

	<!-- CodeMirror XML Mode (se você estiver editando HTML) -->
	<script src="https://cdn.jsdelivr.net/npm/codemirror@5.65.13/mode/xml/xml.js"></script>
	<meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Works Midia LP - Creator</title>
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/css/bootstrap.min.css" integrity="sha384-MCw98/SFnGE8fJT3GXwEOngsV7Zt27NXFoaoApmYm81iuXoPkFOJwJ8ERdknLPMO" crossorigin="anonymous">
    <link rel="stylesheet" href="<?php echo URL_BASE; ?>assets/css/style.css">
	<link rel="stylesheet" href="<?php echo URL_BASE; ?>assets/css/creator.css">
	<link rel="preconnect" href="https://fonts.googleapis.com">
	<link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
	<?php
	$n = 0;
	$sql3 = $conecta->query("SELECT * FROM fontes");
	while ($consulta3 = $sql3->fetch_assoc()) {
	$nomeFonte[$n] = $consulta3['nome'];
	?>
	<link href="<?php echo $consulta3['url']; ?>" rel="stylesheet">
	<?php
	$n = $n + 1;
	}
	?>
	
	<style>
	
	<?php
	$a = 0;
	$sql1 = $conecta->query("SELECT * FROM sections WHERE idPagina = '".$_GET['lp']."' ORDER BY id ASC");

	while ($consulta1 = $sql1->fetch_assoc()) {
		$section[$a] = $consulta1['identificador'];
		$visual[$a] = $consulta1['visual'];
		$b = 0;
		$sql2 = $conecta->query("SELECT * FROM cssSection WHERE idSection = '".$consulta1['identificador']."' ORDER BY id ASC");
		
		while ($consulta2 = $sql2->fetch_assoc()) {
			$conteudo[$a][$b] = $consulta2['conteudo'];
			$idConteudo[$a][$b] = $consulta2['id'];
			$b++;
		}

		$rb[$a] = $b;
		$a++;
	}

	for ($sa = 0; $sa < $a; $sa++) {
		echo '.section-' . $section[$sa] . " {\n";  // Quebra de linha após a abertura do seletor
		for ($sb = 0; $sb < $rb[$sa]; $sb++) {
			echo '        ' . $conteudo[$sa][$sb] . "\n";  // Indentação e quebra de linha após cada propriedade
		}
		echo "    }\n\n";  // Quebra de linha após o fechamento do seletor
		
		echo '    .incCol-' . $section[$sa] . " {\n";
			$sql6 = $conecta->query("SELECT conteudo FROM cssSection WHERE idSection = '".$section[$sa]."' AND conteudo LIKE 'color:%'");
			while ($consulta6 = $sql6->fetch_assoc()) {
			$clrExp = explode(": ", $consulta6['conteudo']);
			echo '        ' . $consulta6['conteudo'] . "\n";
			echo '        margin: 0 20px 10px 20px;'  . "\n";
			echo '        border: 3px solid ' . $clrExp[1] . "\n";
			echo '        padding: 20px 0;'  . "\n";
			echo "    }\n\n";
			}
			
		echo '    .incCol-' . $section[$sa] . " a {\n";
			$sql7 = $conecta->query("SELECT conteudo FROM cssSection WHERE idSection = '".$section[$sa]."' AND conteudo LIKE 'color:%'");
			while ($consulta7 = $sql7->fetch_assoc()) {
			echo '        ' . $consulta7['conteudo'] . "\n";
			echo '        font-size: 32px;'  . "\n";
			echo "    }\n\n";
			}
	}
	?>
	</style>

</head>
<body class="body">

<div class="container-fluid">
    <div class="row">
        <div class="col-md-12 pdContent">
            <div class="boxContent">
				<h2 class="text-center"><span style="color: #fdc500;">Land Page</span> <span style="color: #0077b7;">nº <?php echo $_GET['lp']; ?></span></h2>
				<button type="button" class="btn btn-info" data-toggle="modal" data-target="#insertSection">
					<i class="fa-solid fa-circle-plus"></i> Inserir Section
				</button>&nbsp;&nbsp;
				<button type="button" class="btn btn-info" data-toggle="modal" data-target="#head">
					<i class="fa-solid fa-heading"></i> Alterar Head
				</button><br><br>
                <?php
				for ($sa = 0; $sa < $a; $sa++) {
					echo '<section class="section-' . $section[$sa] .'" id="idSection-' . $section[$sa] .'">'."\n";
					if($visual[$sa] == 0){
					$iconVisual = '<i class="fa-solid fa-display text-danger"></i><i class="fa-solid fa-mobile-screen text-danger"></i>';}
					if($visual[$sa] == 1){
					$iconVisual = '<i class="fa-solid fa-display text-danger"></i>';}
					if($visual[$sa] == 2){
					$iconVisual = '<i class="fa-solid fa-mobile-screen text-danger"></i>';}
					echo '                    <div class="commands">'."\n";
					echo '                        '.$iconVisual.'&nbsp;&nbsp;'."\n";
					echo '                        <a href="'.URL_BASE.'alt_creator.php?step=1&id='.$section[$sa].'&idPagina='.$_GET['lp'].'"><i class="fa-solid fa-trash-can"></i></a>&nbsp;&nbsp;'."\n";
					echo '                        <a data-toggle="modal" data-target="#editCssSection-'.$section[$sa].'" style="cursor:pointer;"><i class="fa-regular fa-file-code"></i></a>'."\n";
					$sql4 = $conecta->query("SELECT id, estrutura, container FROM estruturaSection WHERE idSection = '".$section[$sa]."'");
					while ($consulta4 = $sql4->fetch_assoc()) {
					$idSt[$sa] = $consulta4['id'];
					$verifSt[$sa] = $consulta4['estrutura'];
					$container[$sa] = $consulta4['container'];}
					if($verifSt[$sa] == 0){
					echo '                        &nbsp;&nbsp;<a data-toggle="modal" data-target="#structureSection-'.$section[$sa].'" style="cursor:pointer;"><i class="fa-solid fa-table-columns"></i></a>'."\n";}
					echo '                    </div>'."\n";
					if($verifSt[$sa] > 0){
					$colSize[$sa] = 12 / $verifSt[$sa];
					echo '                        <div class="'.$container[$sa].'">'."\n";
					echo '                            <div class="row">'."\n";
					$colAtual = 0;
					while($colAtual < $verifSt[$sa]){
					echo '                                <div class="col-md-'.$colSize[$sa].'">'."\n";
					$sql5 = $conecta->query("SELECT identificador FROM colunaSection WHERE idEstrutura = '".$idSt[$sa]."' ORDER BY ordem ASC LIMIT 1 OFFSET ".$colAtual." ");
					while ($consulta5 = $sql5->fetch_assoc()) {
					echo '                                    <div class="incCol-'.$section[$sa].' text-center">'."\n";
					echo '                                        <a data-toggle="modal" data-target="#insertElementColSection-'.$consulta5['identificador'].'" style="cursor:pointer;"><i class="fa-solid fa-circle-plus"></i></a>'."\n";
					echo '                                    </div>'."\n";
					$sql8 = $conecta->query("SELECT id, conteudo FROM elementoColuna WHERE idColuna = '".$consulta5['identificador']."'");
					while ($consulta8 = $sql8->fetch_assoc()) {
					echo '                                    <div style="position: relative;">'."\n";
					echo '                                        <div style="position: absolute; background-color: #ffffff98; top: 0px; right: 0px; z-index: 10; color: #6c757d; padding: 4px 12px 4px 12px; border: 1px solid #262626; border-bottom-left-radius: 6px; font-size: 16px;">'."\n";
					echo '                                            <a href="'.URL_BASE.'alt_creator.php?step=15&id='.$consulta8['id'].'&idPagina='.$_GET['lp'].'&idSection='.$section[$sa].'"><i class="fa-solid fa-trash-can text-secondary"></i></a>&nbsp;&nbsp;'."\n";
					echo '                                            <a data-toggle="modal" data-target="#editElement-'.$consulta8['id'].'" style="cursor:pointer;"><i class="fa-regular fa-pen-to-square text-secondary"></i></a>'."\n";
					echo '                                        </div>'."\n";
					echo '                                        '.$consulta8['conteudo']."\n";
					echo '                                    </div>'."\n";
					?>
					<!-- Modal Edição do Elemento -->
					<div class="modal fade" id="editElement-<?php echo $consulta8['id']; ?>" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
					  <div class="modal-dialog" role="document">
						<div class="modal-content">
						  <div class="modal-header">
							<h5 class="modal-title" id="exampleModalLabel">Editar Elemento Selecionado</code></h5>
							<button type="button" class="close" data-dismiss="modal" aria-label="Fechar">
							  <span aria-hidden="true">&times;</span>
							</button>
						  </div>
						  <div class="modal-body">
							
							<form action="<?php echo URL_BASE; ?>alt_creator.php" method="GET">
							<div class="form-row paddingFormCss">
								<div class="col-12">
								  <textarea name="conteudo" class="form-control codemirror-textarea"><?php echo $consulta8['conteudo']; ?></textarea><br>
								  <input type="hidden" name="idSection" value="<?php echo $section[$sa]; ?>">
								  <input type="hidden" name="idPagina" value="<?php echo $_GET['lp']; ?>">
								  <input type="hidden" name="id" value="<?php echo $consulta8['id']; ?>">
								  <input type="hidden" name="step" value="16">
								</div>
								<div class="col-12">
								  <button type="submit" class="btn btn-info btn-block"><i class="fa-regular fa-floppy-disk"></i> Salvar</button>
								</div>
							</div>
							</form>
							
						  </div>
						  <div class="modal-footer">
							<button type="button" class="btn btn-outline-secondary" data-dismiss="modal"><i class="fa-regular fa-circle-xmark"></i> Fechar</button>
						  </div>
						</div>
					  </div>
					</div>
					<?php
					}
					?>
					
					<!-- Modal Inserção da Coluna da Section -->
					<div class="modal fade" id="insertElementColSection-<?php echo $consulta5['identificador']; ?>" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
					  <div class="modal-dialog" role="document">
						<div class="modal-content">
						  <div class="modal-header">
							<h5 class="modal-title" id="exampleModalLabel">Inserir Elemento na Coluna <?php echo $consulta5['identificador']; ?></h5>
							<button type="button" class="close" data-dismiss="modal" aria-label="Fechar">
							  <span aria-hidden="true">&times;</span>
							</button>
						  </div>
						  <div class="modal-body">
							<div class="row">
								<div class="col-4 spaceElement">
									<div class="iconElement" onclick="showContent('elementColTitle-<?php echo $consulta5['identificador']; ?>')">
										<i class="fa-solid fa-heading"></i><br>
										<span style="font-size: 10pt;">Título</span>
									</div>
								</div>
								<div class="col-4 spaceElement">
									<div class="iconElement" onclick="showContent('elementColImg-<?php echo $consulta5['identificador']; ?>')">
										<i class="fa-regular fa-image"></i><br>
										<span style="font-size: 10pt;">Imagem</span>
									</div>
								</div>
								<div class="col-4 spaceElement">
									<div class="iconElement" onclick="showContent('elementColIcon-<?php echo $consulta5['identificador']; ?>')">
										<i class="fa-solid fa-icons"></i><br>
										<span style="font-size: 10pt;">Ícone</span>
									</div>
								</div>
								
								<div class="col-4 spaceElement">
									<div class="iconElement" onclick="showContent('elementColText-<?php echo $consulta5['identificador']; ?>')">
										<i class="fa-regular fa-file-lines"></i><br>
										<span style="font-size: 10pt;">Texto</span>
									</div>
								</div>
								<div class="col-4 spaceElement">
									<div class="iconElement" onclick="showContent('elementColButtonStd-<?php echo $consulta5['identificador']; ?>')">
										<i class="fa-regular fa-hand-pointer"></i><br>
										<span style="font-size: 10pt;">Botão Padrão</span>
									</div>
								</div>
								<div class="col-4 spaceElement">
									<div class="iconElement" onclick="showContent('elementColButtonCustom-<?php echo $consulta5['identificador']; ?>')">
										<i class="fa-regular fa-hand-pointer"></i><br>
										<span style="font-size: 10pt;">Botão Customizado</span>
									</div>
								</div>
								
								<div class="col-4 spaceElement">
									<div class="iconElement" onclick="showContent('elementColYT-<?php echo $consulta5['identificador']; ?>')">
										<i class="fa-brands fa-youtube"></i><br>
										<span style="font-size: 10pt;">Vídeo Youtube</span>
									</div>
								</div>
								<div class="col-4 spaceElement">
									<div class="iconElement" onclick="showContent('elementColCard-<?php echo $consulta5['identificador']; ?>')">
										<i class="fa-regular fa-id-card"></i><br>
										<span style="font-size: 10pt;">Card</span>
									</div>
								</div>
								<div class="col-4 spaceElement">
									<div class="iconElement" onclick="showContent('elementColContact-<?php echo $consulta5['identificador']; ?>')">
										<i class="fa-solid fa-envelopes-bulk"></i><br>
										<span style="font-size: 10pt;">Contato Simples</span>
									</div>
								</div>
								<div class="col-4 spaceElement">
									<div class="iconElement" onclick="showContent('elementColContactExtra-<?php echo $consulta5['identificador']; ?>')">
										<i class="fa-solid fa-envelopes-bulk"></i><br>
										<span style="font-size: 10pt;">Contato + Extra</span>
									</div>
								</div>
								
							</div>
							<div class="row">
								<div class="col-12">
									<div id="elementColTitle-<?php echo $consulta5['identificador']; ?>" class="contentElement">
										<form action="<?php echo URL_BASE; ?>alt_creator.php" method="GET">
										<div class="form-group">
											<label>Tipo de Heading</label>
											<select class="form-control" name="tipo">
												<option value="h1">H1</option>
												<option value="h2">H2</option>
												<option value="h3">H3</option>
												<option value="h4">H4</option>
												<option value="h5">H5</option>
												<option value="h6">H6</option>
											</select>
											<input type="hidden" name="step" value="6">
											<input type="hidden" name="identificador" value="<?php echo $consulta5['identificador']; ?>">
											<input type="hidden" name="idSection" value="<?php echo $section[$sa]; ?>">
											<input type="hidden" name="idPagina" value="<?php echo $_GET['lp']; ?>">
										</div>
										<div class="form-group">
											<label>Alinhamento</label>
											<select class="form-control" name="alinhamento">
												<option value="text-left">Alinhado à Esquerda</option>
												<option value="text-right">Alinhado à Direita</option>
												<option value="text-center">Centralizado</option>
											</select>
										</div>
										<div class="form-group">
											<label>Conteúdo</label>
											<input type="text" class="form-control" name="conteudo" value="Título">
										</div>
										<div class="form-group">
											<label>Espaços Internos (superior e inferior)</label>
											<div class="slider-container">
												<input type="number" class="form-control" name="gap" min="0" max="100" value="0">
												<p style="font-size:10px;">(valor em pixels)</p>
											</div>
										</div>
										<div class="form-group">
											<button type="submit" class="btn btn-info btn-block"><i class="fa-regular fa-floppy-disk"></i> Salvar</button>
										</div>
										</form>
									</div>
									<div id="elementColImg-<?php echo $consulta5['identificador']; ?>" class="contentElement">
										<form action="<?php echo URL_BASE; ?>alt_creator.php?step=7" method="POST" enctype="multipart/form-data">
										<div class="form-group">
											<label>Imagem</label><br>
											<input type="file" name="file" id="file" required>
											<input type="hidden" name="identificador" value="<?php echo $consulta5['identificador']; ?>">
											<input type="hidden" name="idSection" value="<?php echo $section[$sa]; ?>">
											<input type="hidden" name="idPagina" value="<?php echo $_GET['lp']; ?>">
										</div>
										<div class="form-group">
											<label>Espaços Internos (superior e inferior)</label>
											<div class="slider-container">
												<input type="number" class="form-control" name="gap" min="0" max="100" value="0">
												<p style="font-size:10px;">(valor em pixels)</p>
											</div>
										</div>
										<div class="form-group">
											<label>Largura</label>
											<div class="slider-container">
												<input type="number" class="form-control" name="larguraImg" min="0" max="1000" value="0">
												<p style="font-size:10px;">(valor em pixels)</p>
											</div>
										</div>
										<div class="form-group">
											<button type="submit" class="btn btn-info btn-block"><i class="fa-regular fa-floppy-disk"></i> Salvar</button>
										</div>
										</form>
									</div>
									<div id="elementColIcon-<?php echo $consulta5['identificador']; ?>" class="contentElement">
										<form action="<?php echo URL_BASE; ?>alt_creator.php" method="GET">
										<div class="row">
											<div class="col-12">
												<h5 class="text-center">Escolha o Ícone</h5>
											</div>
											<?php
											$iIcon = 1;
											$sql9 = $conecta->query("SELECT icone FROM cadIcons");
											while ($consulta9 = $sql9->fetch_assoc()) {
											if($iIcon == 1){
											$ckIcon = ' CHECKED';}
											else{
											$ckIcon = '';}
											?>
											<div class="col-4 spaceElement text-center" style="padding: 20px 0;">
												<input type="radio" name="icon" value="<?php echo $consulta9['icone']; ?>"<?php echo $ckIcon; ?>>&nbsp;&nbsp;
												<i class="<?php echo $consulta9['icone']; ?>" style="font-size: 32px; color: #17a2b8;"></i>
											</div>
											<?php
											$iIcon = $iIcon + 1;
											}
											?>
											<div class="col-6 spaceElement" style="padding: 20px 20px;">
												<h5 class="text-center">Cor do Ícone</h5>
												<input type="color" class="form-control" name="color" value="#262626">
												<input type="hidden" name="step" value="8">
												<input type="hidden" name="identificador" value="<?php echo $consulta5['identificador']; ?>">
												<input type="hidden" name="idSection" value="<?php echo $section[$sa]; ?>">
												<input type="hidden" name="idPagina" value="<?php echo $_GET['lp']; ?>">
											</div>
											<div class="col-6 spaceElement" style="padding: 20px 20px;">
												<h5 class="text-center">Tamanho</h5>
												<input type="number" class="form-control" name="size" min="0" max="1000" value="32">
											</div>
											<div class="col-6 spaceElement" style="padding: 20px 20px;">
												<h5 class="text-center">Alinhamento</h5>
												<h5 class="text-center">&nbsp;</h5>
												<select class="form-control" name="alinhamento">
													<option value="text-left">Esquerda</option>
													<option value="text-right">Direita</option>
													<option value="text-center">Centralizado</option>
												</select>
											</div>
											<div class="col-6 spaceElement" style="padding: 20px 20px;">
												<h5 class="text-center">Espaços Internos (superior e inferior)</h5>
												<input type="number" class="form-control" name="gap" min="0" max="100" value="0">
												<p style="font-size:10px;">(valor em pixels)</p>
											</div>
											<div class="col-12" style="padding: 40px 20px;">
												<button type="submit" class="btn btn-info btn-block"><i class="fa-regular fa-floppy-disk"></i> Salvar</button>
											</div>
										</div>
										</form>
									</div>
									<div id="elementColText-<?php echo $consulta5['identificador']; ?>" class="contentElement">
										<form action="<?php echo URL_BASE; ?>alt_creator.php" method="GET">
										<div class="row">
											<div class="col-12" style="padding: 20px 20px;">
												<h5 class="text-center">Insira o Texto</h5>
												<textarea class="tinymce" name="texto"></textarea>
												<input type="hidden" name="step" value="9">
												<input type="hidden" name="identificador" value="<?php echo $consulta5['identificador']; ?>">
												<input type="hidden" name="idSection" value="<?php echo $section[$sa]; ?>">
												<input type="hidden" name="idPagina" value="<?php echo $_GET['lp']; ?>">
											</div>
											<div class="col-12 spaceElement" style="padding: 20px 20px;">
												<h5 class="text-center">Espaços Internos (superior e inferior)</h5>
												<input type="number" class="form-control" name="gap" min="0" max="100" value="0">
												<p style="font-size:10px;">(valor em pixels)</p>
											</div>
											<div class="col-12" style="padding: 40px 20px;">
												<button type="submit" class="btn btn-info btn-block"><i class="fa-regular fa-floppy-disk"></i> Salvar</button>
											</div>
										</div>
										</form>
									</div>
									<div id="elementColButtonStd-<?php echo $consulta5['identificador']; ?>" class="contentElement">
										<form action="<?php echo URL_BASE; ?>alt_creator.php" method="GET">
										<div class="row">
											<div class="col-12" style="padding: 30px 20px;">
												<h5 class="text-center">Insira o link</h5>
												<input type="text" class="form-control" name="link" placeholder="Link"><br>
												<input type="text" class="form-control" name="texto" placeholder="Texto do Botão">
												<input type="hidden" name="step" value="10">
												<input type="hidden" name="identificador" value="<?php echo $consulta5['identificador']; ?>">
												<input type="hidden" name="idSection" value="<?php echo $section[$sa]; ?>">
												<input type="hidden" name="idPagina" value="<?php echo $_GET['lp']; ?>">
											</div>
											<div class="col-12">
												<h5 class="text-center">Escolha o estilo</h5>
											</div>
											<div class="col-4 spaceElement text-center" style="padding: 30px 20px;">
												<input type="radio" name="color" value="primary" CHECKED><br>
												<i class="fa-solid fa-rectangle-list text-primary"></i>
											</div>
											<div class="col-4 spaceElement text-center" style="padding: 30px 20px;">
												<input type="radio" name="color" value="secondary"><br>
												<i class="fa-solid fa-rectangle-list text-secondary"></i>
											</div>
											<div class="col-4 spaceElement text-center" style="padding: 30px 20px;">
												<input type="radio" name="color" value="success"><br>
												<i class="fa-solid fa-rectangle-list text-success"></i>
											</div>
											<div class="col-4 spaceElement text-center" style="padding: 30px 20px;">
												<input type="radio" name="color" value="danger"><br>
												<i class="fa-solid fa-rectangle-list text-danger"></i>
											</div>
											<div class="col-4 spaceElement text-center" style="padding: 30px 20px;">
												<input type="radio" name="color" value="warning"><br>
												<i class="fa-solid fa-rectangle-list text-warning"></i>
											</div>
											<div class="col-4 spaceElement text-center" style="padding: 30px 20px;">
												<input type="radio" name="color" value="info"><br>
												<i class="fa-solid fa-rectangle-list text-info"></i>
											</div>
											<div class="col-4 spaceElement text-center" style="padding: 30px 20px;">
												<input type="radio" name="color" value="light"><br>
												<i class="fa-solid fa-rectangle-list text-light"></i>
											</div>
											<div class="col-4 spaceElement text-center" style="padding: 30px 20px;">
												<input type="radio" name="color" value="dark"><br>
												<i class="fa-solid fa-rectangle-list text-dark"></i>
											</div>
											
											<div class="col-6 spaceElement" style="padding: 20px 20px;">
												<h5 class="text-center">Tamanho do Botão</h5><br>
												<input type="radio" name="tamanho" value="1" CHECKED>&nbsp;&nbsp;<span style="font-size:11pt;">Full Size</span><br>
												<input type="radio" name="tamanho" value="0">&nbsp;&nbsp;<span style="font-size:11pt;">Padrão</span>
											</div>
											<div class="col-6 spaceElement" style="padding: 20px 20px;">
												<h5 class="text-center">Espaços Internos (superior e inferior)</h5>
												<input type="number" class="form-control" name="gap" min="0" max="100" value="0">
												<p style="font-size:10px;">(valor em pixels)</p>
											</div>
											<div class="col-12" style="padding: 40px 20px;">
												<button type="submit" class="btn btn-info btn-block"><i class="fa-regular fa-floppy-disk"></i> Salvar</button>
											</div>
										</div>
										</form>
									</div>
									
									<div id="elementColButtonCustom-<?php echo $consulta5['identificador']; ?>" class="contentElement">
										<form action="<?php echo URL_BASE; ?>alt_creator.php" method="GET">
										<div class="row">
											<div class="col-12" style="padding: 30px 20px;">
												<h5 class="text-center">Insira o link</h5>
												<input type="text" class="form-control" name="link" placeholder="Link"><br>
												<input type="text" class="form-control" name="texto" placeholder="Texto do Botão">
												<input type="hidden" name="step" value="11">
												<input type="hidden" name="identificador" value="<?php echo $consulta5['identificador']; ?>">
												<input type="hidden" name="idSection" value="<?php echo $section[$sa]; ?>">
												<input type="hidden" name="idPagina" value="<?php echo $_GET['lp']; ?>">
											</div>
											<div class="col-12">
												<h5 class="text-center">Monte o estilo</h5>
											</div>
											<div class="col-4 spaceElement text-center" style="padding: 30px 20px;">
												<input type="radio" name="color" value="primary" CHECKED><br>
												<i class="fa-solid fa-rectangle-list text-primary"></i>
											</div>
											<div class="col-4 spaceElement text-center" style="padding: 30px 20px;">
												<input type="radio" name="color" value="secondary"><br>
												<i class="fa-solid fa-rectangle-list text-secondary"></i>
											</div>
											<div class="col-4 spaceElement text-center" style="padding: 30px 20px;">
												<input type="radio" name="color" value="success"><br>
												<i class="fa-solid fa-rectangle-list text-success"></i>
											</div>
											<div class="col-4 spaceElement text-center" style="padding: 30px 20px;">
												<input type="radio" name="color" value="danger"><br>
												<i class="fa-solid fa-rectangle-list text-danger"></i>
											</div>
											<div class="col-4 spaceElement text-center" style="padding: 30px 20px;">
												<input type="radio" name="color" value="warning"><br>
												<i class="fa-solid fa-rectangle-list text-warning"></i>
											</div>
											<div class="col-4 spaceElement text-center" style="padding: 30px 20px;">
												<input type="radio" name="color" value="info"><br>
												<i class="fa-solid fa-rectangle-list text-info"></i>
											</div>
											<div class="col-4 spaceElement text-center" style="padding: 30px 20px;">
												<input type="radio" name="color" value="light"><br>
												<i class="fa-solid fa-rectangle-list text-light"></i>
											</div>
											<div class="col-4 spaceElement text-center" style="padding: 30px 20px;">
												<input type="radio" name="color" value="dark"><br>
												<i class="fa-solid fa-rectangle-list text-dark"></i>
											</div>
											
											<div class="col-6 spaceElement" style="padding: 20px 20px;">
												<h5 class="text-center">Tamanho do Botão</h5><br>
												<input type="radio" name="tamanho" value="1" CHECKED>&nbsp;&nbsp;<span style="font-size:11pt;">Full Size</span><br>
												<input type="radio" name="tamanho" value="0">&nbsp;&nbsp;<span style="font-size:11pt;">Padrão</span>
											</div>
											<div class="col-6 spaceElement" style="padding: 20px 20px;">
												<h5 class="text-center">Espaços Internos (superior e inferior)</h5>
												<input type="number" class="form-control" name="gap" min="0" max="100" value="0">
												<p style="font-size:10px;">(valor em pixels)</p>
											</div>
											<div class="col-12" style="padding: 40px 20px;">
												<button type="submit" class="btn btn-info btn-block"><i class="fa-regular fa-floppy-disk"></i> Salvar</button>
											</div>
										</div>
										</form>
									</div>
									
									<div id="elementColYT-<?php echo $consulta5['identificador']; ?>" class="contentElement">
										<form action="<?php echo URL_BASE; ?>alt_creator.php" method="GET">
										<div class="row">
											<div class="col-12 spaceElement" style="padding: 20px 20px;">
												<h5 class="text-center">Insira a URL do Vídeo</h5>
												<input type="text" class="form-control" name="url">
												<input type="hidden" name="step" value="12">
												<input type="hidden" name="identificador" value="<?php echo $consulta5['identificador']; ?>">
												<input type="hidden" name="idSection" value="<?php echo $section[$sa]; ?>">
												<input type="hidden" name="idPagina" value="<?php echo $_GET['lp']; ?>">
											</div>
											<div class="col-12 spaceElement" style="padding: 20px 20px;">
												<h5 class="text-center">Espaços Internos (superior e inferior)</h5>
												<input type="number" class="form-control" name="gap" min="0" max="100" value="0">
												<p style="font-size:10px;">(valor em pixels)</p>
											</div>
											<div class="col-12" style="padding: 40px 20px;">
												<button type="submit" class="btn btn-info btn-block"><i class="fa-regular fa-floppy-disk"></i> Salvar</button>
											</div>
										</div>
										</form>
									</div>
									
									<div id="elementColCard-<?php echo $consulta5['identificador']; ?>" class="contentElement">
										<form action="<?php echo URL_BASE; ?>alt_creator.php?step=13" method="POST" enctype="multipart/form-data">
										<div class="form-group">
											<label>Imagem</label><br>
											<input type="file" name="file" id="file" required>
											<input type="hidden" name="identificador" value="<?php echo $consulta5['identificador']; ?>">
											<input type="hidden" name="idSection" value="<?php echo $section[$sa]; ?>">
											<input type="hidden" name="idPagina" value="<?php echo $_GET['lp']; ?>">
										</div>
										<div class="form-group">
											<label>Título</label>
											<div class="slider-container">
												<input type="text" class="form-control" name="titulo" value="Título">
											</div>
										</div>
										<div class="form-group">
											<label>Subtítulo</label>
											<div class="slider-container">
												<input type="text" class="form-control" name="subtitulo" value="Subtítulo">
											</div>
										</div>
										<div class="form-group">
											<label>Cor dos Textos</label>
											<div class="slider-container">
												<input type="color" class="form-control" name="colorText" value="#262626">
											</div>
										</div>
										<div class="form-group">
											<label>Link do Botão</label>
											<div class="slider-container">
												<input type="text" class="form-control" name="link" placeholder="Link"><br>
												<input type="text" class="form-control" name="textoBtn" placeholder="Texto do Botão">
											</div>
										</div>
										<div class="form-group">
											<label>Espaços Internos (superior e inferior)</label>
											<div class="slider-container">
												<input type="number" class="form-control" name="gap" min="0" max="100" value="0">
												<p style="font-size:10px;">(valor em pixels)</p>
											</div>
										</div>
										<div class="form-group">
											<button type="submit" class="btn btn-info btn-block"><i class="fa-regular fa-floppy-disk"></i> Salvar</button>
										</div>
										</form>
									</div>
									
									<div id="elementColContactExtra-<?php echo $consulta5['identificador']; ?>" class="contentElement">
										<form action="<?php echo URL_BASE; ?>alt_creator.php" method="GET">
										<div class="form-group">
											<h5>Assunto</h5>
											<input type="text" class="form-control" name="assunto">
											<input type="hidden" name="step" value="17">
											<input type="hidden" name="identificador" value="<?php echo $consulta5['identificador']; ?>">
											<input type="hidden" name="idSection" value="<?php echo $section[$sa]; ?>">
											<input type="hidden" name="idPagina" value="<?php echo $_GET['lp']; ?>">
										</div>
										<div class="form-group">
											<h5>Destinatário</h5>
											<input type="email" class="form-control" name="destino">
										</div>
										
										<div class="form-group">
											<h5>Campo Extra</h5>
											<input type="text" class="form-control" name="alias_campo" placeholder="Alias do Campo"><br>
											<input type="text" class="form-control" name="nome_campo" placeholder="Nome do Campo(Etiqueta)"><br>
											<input type="text" class="form-control" name="placeholder_campo" placeholder="Placeholder">
										</div>
										
										<div class="form-group">
											<h5>Texto do Botão</h5>
											<input type="text" class="form-control" name="texto" value="Enviar">
										</div>
										
										<div class="row">
											<div class="col-12">
												<h5 class="text-left">Monte o estilo do botão</h5>
											</div>
											<div class="col-4 spaceElement text-center" style="padding: 30px 20px;">
												<input type="radio" name="color" value="primary" CHECKED><br>
												<i class="fa-solid fa-rectangle-list text-primary"></i>
											</div>
											<div class="col-4 spaceElement text-center" style="padding: 30px 20px;">
												<input type="radio" name="color" value="secondary"><br>
												<i class="fa-solid fa-rectangle-list text-secondary"></i>
											</div>
											<div class="col-4 spaceElement text-center" style="padding: 30px 20px;">
												<input type="radio" name="color" value="success"><br>
												<i class="fa-solid fa-rectangle-list text-success"></i>
											</div>
											<div class="col-4 spaceElement text-center" style="padding: 30px 20px;">
												<input type="radio" name="color" value="danger"><br>
												<i class="fa-solid fa-rectangle-list text-danger"></i>
											</div>
											<div class="col-4 spaceElement text-center" style="padding: 30px 20px;">
												<input type="radio" name="color" value="warning"><br>
												<i class="fa-solid fa-rectangle-list text-warning"></i>
											</div>
											<div class="col-4 spaceElement text-center" style="padding: 30px 20px;">
												<input type="radio" name="color" value="info"><br>
												<i class="fa-solid fa-rectangle-list text-info"></i>
											</div>
											<div class="col-4 spaceElement text-center" style="padding: 30px 20px;">
												<input type="radio" name="color" value="light"><br>
												<i class="fa-solid fa-rectangle-list text-light"></i>
											</div>
											<div class="col-4 spaceElement text-center" style="padding: 30px 20px;">
												<input type="radio" name="color" value="dark"><br>
												<i class="fa-solid fa-rectangle-list text-dark"></i>
											</div>
											<div class="col-12" style="padding: 20px 20px;">
												<h5 class="text-left">Tamanho do Botão</h5>
												<input type="radio" name="tamanho" value="1" CHECKED>&nbsp;&nbsp;<span style="font-size:11pt;">Full Size</span><br>
												<input type="radio" name="tamanho" value="0">&nbsp;&nbsp;<span style="font-size:11pt;">Padrão</span>
											</div>
										</div>
										
										<div class="form-group">
											<h5>Espaços Internos (superior e inferior)</h5>
											<div class="slider-container">
												<input type="number" class="form-control" name="gap" min="0" max="100" value="0">
												<p style="font-size:10px;">(valor em pixels)</p>
											</div>
										</div>
										<div class="form-group">
											<button type="submit" class="btn btn-info btn-block"><i class="fa-regular fa-floppy-disk"></i> Salvar</button>
										</div>
										</form>
									</div>
									
									<div id="elementColContact-<?php echo $consulta5['identificador']; ?>" class="contentElement">
										<form action="<?php echo URL_BASE; ?>alt_creator.php" method="GET">
										<div class="form-group">
											<h5>Assunto</h5>
											<input type="text" class="form-control" name="assunto">
											<input type="hidden" name="step" value="14">
											<input type="hidden" name="identificador" value="<?php echo $consulta5['identificador']; ?>">
											<input type="hidden" name="idSection" value="<?php echo $section[$sa]; ?>">
											<input type="hidden" name="idPagina" value="<?php echo $_GET['lp']; ?>">
										</div>
										<div class="form-group">
											<h5>Destinatário</h5>
											<input type="email" class="form-control" name="destino">
										</div>
										<div class="form-group">
											<h5>Texto do Botão</h5>
											<input type="text" class="form-control" name="texto" value="Enviar">
										</div>
										
										<div class="row">
											<div class="col-12">
												<h5 class="text-left">Monte o estilo do botão</h5>
											</div>
											<div class="col-4 spaceElement text-center" style="padding: 30px 20px;">
												<input type="radio" name="color" value="primary" CHECKED><br>
												<i class="fa-solid fa-rectangle-list text-primary"></i>
											</div>
											<div class="col-4 spaceElement text-center" style="padding: 30px 20px;">
												<input type="radio" name="color" value="secondary"><br>
												<i class="fa-solid fa-rectangle-list text-secondary"></i>
											</div>
											<div class="col-4 spaceElement text-center" style="padding: 30px 20px;">
												<input type="radio" name="color" value="success"><br>
												<i class="fa-solid fa-rectangle-list text-success"></i>
											</div>
											<div class="col-4 spaceElement text-center" style="padding: 30px 20px;">
												<input type="radio" name="color" value="danger"><br>
												<i class="fa-solid fa-rectangle-list text-danger"></i>
											</div>
											<div class="col-4 spaceElement text-center" style="padding: 30px 20px;">
												<input type="radio" name="color" value="warning"><br>
												<i class="fa-solid fa-rectangle-list text-warning"></i>
											</div>
											<div class="col-4 spaceElement text-center" style="padding: 30px 20px;">
												<input type="radio" name="color" value="info"><br>
												<i class="fa-solid fa-rectangle-list text-info"></i>
											</div>
											<div class="col-4 spaceElement text-center" style="padding: 30px 20px;">
												<input type="radio" name="color" value="light"><br>
												<i class="fa-solid fa-rectangle-list text-light"></i>
											</div>
											<div class="col-4 spaceElement text-center" style="padding: 30px 20px;">
												<input type="radio" name="color" value="dark"><br>
												<i class="fa-solid fa-rectangle-list text-dark"></i>
											</div>
											<div class="col-12" style="padding: 20px 20px;">
												<h5 class="text-left">Tamanho do Botão</h5>
												<input type="radio" name="tamanho" value="1" CHECKED>&nbsp;&nbsp;<span style="font-size:11pt;">Full Size</span><br>
												<input type="radio" name="tamanho" value="0">&nbsp;&nbsp;<span style="font-size:11pt;">Padrão</span>
											</div>
										</div>
										
										<div class="form-group">
											<h5>Espaços Internos (superior e inferior)</h5>
											<div class="slider-container">
												<input type="number" class="form-control" name="gap" min="0" max="100" value="0">
												<p style="font-size:10px;">(valor em pixels)</p>
											</div>
										</div>
										<div class="form-group">
											<button type="submit" class="btn btn-info btn-block"><i class="fa-regular fa-floppy-disk"></i> Salvar</button>
										</div>
										</form>
									</div>
									
								</div>
							</div>
						  </div>
						  <div class="modal-footer">
							<button type="button" class="btn btn-outline-secondary" data-dismiss="modal"><i class="fa-regular fa-circle-xmark"></i> Fechar</button>
						  </div>
						</div>
					  </div>
					</div>
					<?php
					}
					//echo '<p class="text-center">Coluna '.$colSize[$sa].'</p>';
					echo '                                </div>'."\n";
					$colAtual = $colAtual + 1;}
					echo '                            </div>'."\n";
					echo '                        </div>'."\n";}
					//echo '                    Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nullam blandit risus ex, ac porta lacus iaculis id. Integer nisi tortor, aliquam accumsan ullamcorper quis, auctor sit amet est. Orci varius natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Quisque hendrerit elit ullamcorper lorem facilisis suscipit. Phasellus ac velit finibus nibh varius ultrices sit amet vel libero. In hac habitasse platea dictumst. Quisque a enim et leo cursus consectetur a ut turpis.'."\n";
					echo "                </section>\n";
				?>
				<!-- Modal Edição da Section -->
				<div class="modal fade" id="editCssSection-<?php echo $section[$sa]; ?>" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
				  <div class="modal-dialog" role="document">
					<div class="modal-content">
					  <div class="modal-header">
						<h5 class="modal-title" id="exampleModalLabel">Editar CSS da section <code>.section-<?php echo $section[$sa]; ?></code></h5>
						<button type="button" class="close" data-dismiss="modal" aria-label="Fechar">
						  <span aria-hidden="true">&times;</span>
						</button>
					  </div>
					  <div class="modal-body">
						<?php
						for ($sb = 0; $sb < $rb[$sa]; $sb++) {
						?>
						<form action="<?php echo URL_BASE; ?>alt_creator.php" method="GET">
						<div class="form-row paddingFormCss">
							<div class="col-10">
							  <input type="text" class="form-control" name="conteudo" value="<?php echo $conteudo[$sa][$sb]; ?>">
							  <input type="hidden" name="id" value="<?php echo $idConteudo[$sa][$sb]; ?>">
							  <input type="hidden" name="idPagina" value="<?php echo $_GET['lp']; ?>">
							  <input type="hidden" name="step" value="2">
							</div>
							<div class="col-1">
							  <button type="submit" class="btn btn-info"><i class="fa-regular fa-floppy-disk"></i></button>
							</div>
							<div class="col-1">
							  <a href="<?php echo URL_BASE; ?>alt_creator.php?step=4&id=<?php echo $idConteudo[$sa][$sb]; ?>&idPagina=<?php echo $_GET['lp']; ?>&idSection=<?php echo $section[$sa]; ?>" class="btn btn-danger"><i class="fa-solid fa-trash-can"></i></a>
							</div>
						</div>
						</form>
						<?php
						}
						?>
						<form action="<?php echo URL_BASE; ?>alt_creator.php" method="GET">
						<div class="form-row paddingFormCss">
							<div class="col-11">
							  <input type="text" class="form-control" name="conteudo">
							  <input type="hidden" name="id" value="<?php echo $section[$sa]; ?>">
							  <input type="hidden" name="idPagina" value="<?php echo $_GET['lp']; ?>">
							  <input type="hidden" name="step" value="3">
							</div>
							<div class="col-1">
							  <button type="submit" class="btn btn-success"><i class="fa-solid fa-circle-plus"></i></button>
							</div>
						</div>
						</form>
					  </div>
					  <div class="modal-footer">
						<button type="button" class="btn btn-outline-secondary" data-dismiss="modal"><i class="fa-regular fa-circle-xmark"></i> Fechar</button>
					  </div>
					</div>
				  </div>
				</div>
				
				<!-- Modal Estrutura da Section -->
				<div class="modal fade" id="structureSection-<?php echo $section[$sa]; ?>" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
				  <div class="modal-dialog" role="document">
					<div class="modal-content">
					  <div class="modal-header">
						<h5 class="modal-title" id="exampleModalLabel">Configurar estrutura da section <?php echo $section[$sa]; ?></h5>
						<button type="button" class="close" data-dismiss="modal" aria-label="Fechar">
						  <span aria-hidden="true">&times;</span>
						</button>
					  </div>
					  <div class="modal-body">
						<form action="<?php echo URL_BASE; ?>alt_creator.php" method="GET">
						<div class="form-row paddingFormCss">
							<div class="col-5">
							  <select class="form-control" name="estrutura">
								<option value="1">1 coluna</option>
								<option value="2">2 colunas</option>
								<option value="3">3 colunas</option>
								<option value="4">4 colunas</option>
								<option value="6">6 colunas</option>
								<option value="12">12 colunas</option>
							  </select>
							  <input type="hidden" name="id" value="<?php echo $section[$sa]; ?>">
							  <input type="hidden" name="idPagina" value="<?php echo $_GET['lp']; ?>">
							  <input type="hidden" name="step" value="5">
							</div>
							<div class="col-6">
							  <select class="form-control" name="container">
								<option value="container">Boxed Design</option>
								<option value="container-fluid">Fluid Design</option>
							  </select>
							</div>
							<div class="col-1">
							  <button type="submit" class="btn btn-info"><i class="fa-regular fa-floppy-disk"></i></button>
							</div>
						</div>
						</form>
					  </div>
					  <div class="modal-footer">
						<button type="button" class="btn btn-outline-secondary" data-dismiss="modal"><i class="fa-regular fa-circle-xmark"></i> Fechar</button>
					  </div>
					</div>
				  </div>
				</div>
				<?php
				}
				?>
				
			</div>
        </div>
    </div>
</div>

<!-- Modal Inserção da Section -->
<div class="modal fade" id="insertSection" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
  <div class="modal-dialog" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title" id="exampleModalLabel">Insira a Section</h5>
        <button type="button" class="close" data-dismiss="modal" aria-label="Fechar">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="modal-body">
		<?php
		$id_1 = rand(10000, 99999);
		$id_2 = rand(10000, 99999);
		$nw_id = $id_1.'-'.$id_2;
		?>
		<form action="<?php echo URL_BASE; ?>alt_creator.php" method="GET">
		<div class="form-group">
            <label>Identificador</label>
			<input type="text" class="form-control" name="id" placeholder="Identificador" value="<?php echo $nw_id; ?>" readonly>
			<input type="hidden" name="step" value="0">
			<input type="hidden" name="idPagina" value="<?php echo $_GET['lp']; ?>">
        </div>
		<div class="form-group">
            <label>Visualização</label>
			<select name="visual" class="form-control">
				<option value="0">Todos os Dispositivos</option>
				<option value="1">Somente Desktop</option>
				<option value="2">Somente Mobile</option>
			</select>
        </div>
		<div class="form-group">
			<label>Espaços Internos (superior e inferior)</label>
			<div class="slider-container">
				<input type="range" name="gapSection" id="slider_1" min="0" max="1000" value="0" oninput="updateValue(this.value, 'sliderValue_1')">
				<div class="value-box">
					<span id="sliderValue_1">0</span>
				</div>
				<p style="font-size:10px;">(valor em pixels)</p>
			</div>
		</div>
		<div class="form-group">
			<label>Tamanho da Fonte</label>
			<div class="slider-container">
				<input type="range" name="tamFonte" id="slider_2" min="0" max="100" value="12" oninput="updateValue(this.value, 'sliderValue_2')">
				<div class="value-box">
					<span id="sliderValue_2">12</span>
				</div>
				<p style="font-size:10px;">(valor em pontos)</p>
			</div>
		</div>

		<div class="form-group">
            <label>Fonte</label><br>
			<?php
			$sn = 0;
			while($sn < $n){
			?>
			<input type="radio" name="fonte" value="<?php echo $nomeFonte[$sn]; ?>"<?php if($sn == 0){echo ' CHECKED';} ?>>&nbsp;&nbsp;
			<span style="font-family: <?php echo $nomeFonte[$sn]; ?>"><?php echo $nomeFonte[$sn]; ?></span><br>
			<?php
			$sn = $sn + 1;
			}
			?>
        </div>
		<div class="form-row">
			<div class="col">
			  <label>Cor de Background</label>
			  <input type="color" class="form-control" name="bgColor" value="#FFFFFF">
			</div>
			<div class="col">
			  <label>Cor de Fonte</label>
			  <input type="color" class="form-control" name="fontColor" value="#262626">
			</div>
		</div>
      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-outline-secondary" data-dismiss="modal"><i class="fa-regular fa-circle-xmark"></i> Fechar</button>
        <button type="submit" class="btn btn-outline-info"><i class="fa-regular fa-floppy-disk"></i> Salvar Section</button>
		</form>
      </div>
    </div>
  </div>
</div>

<!-- Modal Head -->
<div class="modal fade" id="head" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
  <div class="modal-dialog" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title" id="exampleModalLabel">Editar a Head</h5>
        <button type="button" class="close" data-dismiss="modal" aria-label="Fechar">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
		<?php
	  
		// Lê o conteúdo do arquivo, se ele existir
		$existingContent = '';
		if (file_exists('head/head-'.$_GET['lp'].'.txt')) {
			$existingContent = file_get_contents('head/head-'.$_GET['lp'].'.txt');
		}
		?>
      <div class="modal-body">
		<form action="<?php echo URL_BASE; ?>head/head.php" method="POST">
		<div class="form-group">
            <textarea name="content" class="codemirror-textarea"><?php echo htmlspecialchars($existingContent); ?></textarea>
			<input type="hidden" name="lp" value="<?php echo $_GET['lp']; ?>">
        </div>
      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-outline-secondary" data-dismiss="modal"><i class="fa-regular fa-circle-xmark"></i> Fechar</button>
        <button type="submit" name="save" class="btn btn-outline-info"><i class="fa-regular fa-floppy-disk"></i> Salvar Head</button>
		</form>
      </div>
    </div>
  </div>
</div>
    
<!-- Place the following <script> and <textarea> tags your HTML's <body> -->
<script>
  tinymce.init({
    selector: '.tinymce',
    plugins: [
      // Core editing features
      'anchor', 'autolink', 'charmap', 'codesample', 'emoticons', 'image', 'link', 'lists', 'media', 'searchreplace', 'table', 'visualblocks', 'wordcount',
      // Your account includes a free trial of TinyMCE premium features
      // Try the most popular premium features until Sep 17, 2024:
      'checklist', 'mediaembed', 'casechange', 'export', 'formatpainter', 'pageembed', 'a11ychecker', 'tinymcespellchecker', 'permanentpen', 'powerpaste', 'advtable', 'advcode', 'editimage', 'advtemplate', 'ai', 'mentions', 'tinycomments', 'tableofcontents', 'footnotes', 'mergetags', 'autocorrect', 'typography', 'inlinecss', 'markdown',
    ],
    toolbar: 'undo redo | blocks fontfamily fontsize | bold italic underline strikethrough | link image media table mergetags | addcomment showcomments | spellcheckdialog a11ycheck typography | align lineheight | checklist numlist bullist indent outdent | emoticons charmap | removeformat',
    tinycomments_mode: 'embedded',
    tinycomments_author: 'Author name',
    mergetags_list: [
      { value: 'First.Name', title: 'First Name' },
      { value: 'Email', title: 'Email' },
    ],
    ai_request: (request, respondWith) => respondWith.string(() => Promise.reject('See docs to implement AI Assistant')),
  });
  
  var editors = document.getElementsByClassName("codemirror-textarea");
	for (var i = 0; i < editors.length; i++) {
	  CodeMirror.fromTextArea(editors[i], {
		lineNumbers: true,
		mode: "text/html",
		theme: "default"
	  });
	}

</script>
<script src="<?php echo URL_BASE; ?>assets/js/creator.js"></script>
<script src="https://code.jquery.com/jquery-3.3.1.slim.min.js" integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo" crossorigin="anonymous"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.3/umd/popper.min.js" integrity="sha384-ZMP7rVo3mIykV+2+9J3UJ46jBk0WLaUAdn689aCwoqbBJiSnjAK/l8WvCWPIPm49" crossorigin="anonymous"></script>
<script src="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/js/bootstrap.min.js" integrity="sha384-ChfqqxuZUCnJSK3+MXmPNIyE6ZbWh2IMqE241rYiqJxyMiZ6OW/JmZQ5stwEULTy" crossorigin="anonymous"></script>
<script src="https://kit.fontawesome.com/f598390b69.js" crossorigin="anonymous"></script>
</body>
</html>