<?php
session_start();
if((!isset ($_SESSION['login']) == true) and (!isset ($_SESSION['password']) == true))
{
  unset($_SESSION['login']);
  unset($_SESSION['senha']);
  header('location:/?error=1');
  }

$email = $_SESSION['login'];
  
date_default_timezone_set('America/Sao_Paulo');
$error = $_GET['error'];

include('/home/devworks/public_html/lp/config/lp.config.php');
?>
<!DOCTYPE html>
<html lang="pt-BR">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Works Midia LP - Páginas</title>
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/css/bootstrap.min.css" integrity="sha384-MCw98/SFnGE8fJT3GXwEOngsV7Zt27NXFoaoApmYm81iuXoPkFOJwJ8ERdknLPMO" crossorigin="anonymous">
    <link rel="stylesheet" href="assets/css/style.css">
	<link rel="stylesheet" href="assets/css/admin.css">
</head>
<body class="body">

<div class="container">
    <div class="row">
        <div class="col-md-3 preBoxMenu">
            <?php
			include('menu.php');
			?>
        </div>
        <div class="col-md-9 boxContent">
            <h2 class="text-center"><span style="color: #fdc500;">Land Pages</span> <span style="color: #0077b7;">Inseridas</span></h2>
			<div class="listSpace">
				<button type="button" class="btn btn-outline-info" data-toggle="modal" data-target="#insertLp">
					<i class="fa-solid fa-circle-plus"></i> Inserir LP
				</button><br><br>
				<table class="table table-striped">
				  <thead>
					<tr>
					  <th scope="col">ID da Página</th>
					  <th scope="col">Nome da Página</th>
					  <th scope="col">Domínio Relacionado</th>
					  <th scope="col" style="width: 200px;"> </th>
					</tr>
				  </thead>
				  <tbody>
					<?php
					$sql1 = $conecta->query("SELECT * FROM paginas");
					while ($consulta1 = $sql1->fetch_assoc()){
					switch($consulta1['status']){
					case 0: $class = 'text-black-50';
					break;
					case 1: $class = 'text-dark';
					break;}
					$sql3 = $conecta->query("SELECT enderecoDominio FROM dominios WHERE identificador = '".$consulta1['idDominio']."'");
					while ($consulta3 = $sql3->fetch_assoc()){
					$domSelecionado = $consulta3['enderecoDominio'];}
					?>
					<tr>
					  <th scope="row">
						<span class="<?php echo $class; ?>"><?php echo $consulta1['identificador']; ?></span>
					  </th>
					  <td><span class="<?php echo $class; ?>"><?php echo $consulta1['nomePagina']; ?></span></td>
					  <td><span class="<?php echo $class; ?>"><?php echo $domSelecionado; ?></span></td>
					  <td>
						<a data-toggle="modal" data-target="#excLp-<?php echo $consulta1['identificador']; ?>" style="cursor: pointer;">
							<i class="fa-solid fa-trash-can text-danger"></i>
						</a>&nbsp;&nbsp;
						<a href="creator/<?php echo $consulta1['identificador']; ?>" class="text-info" target="_blank">
							<i class="fa-regular fa-pen-to-square"></i>
						</a>&nbsp;&nbsp;
						<a href="https://lp.worksmidia.com.br/<?php echo $consulta1['aliasPagina']; ?>" target="_blank" style="color: #0077b7; text-decoration: none;">
							<i class="fa-regular fa-eye"></i>
						</a>&nbsp;&nbsp;
						<?php
						if($domSelecionado != ''){
						?>
						<a href="https://<?php echo $domSelecionado; ?>/<?php echo $consulta1['aliasPagina']; ?>" class="text-info" target="_blank">
							<i class="fa-solid fa-arrow-up-right-from-square"></i>
						</a>&nbsp;&nbsp;
						<?php
						}
						?>
						<a href="https://lp.worksmidia.com.br/excel.php?lp=<?php echo $consulta1['identificador']; ?>" target="_blank" style="color: #0077b7; text-decoration: none;">
							<i class="fa-regular fa-file-excel text-success"></i>
						</a>&nbsp;&nbsp;
						
					  </td>
					  
					<!-- Modal Exclusão -->
					<div class="modal fade" id="excLp-<?php echo $consulta1['identificador']; ?>" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
					  <div class="modal-dialog" role="document">
						<div class="modal-content">
						  <div class="modal-header">
							<h5 class="modal-title" id="exampleModalLabel">Excluir a LP <?php echo $consulta1['nomePagina']; ?></h5>
							<button type="button" class="close" data-dismiss="modal" aria-label="Fechar">
							  <span aria-hidden="true">&times;</span>
							</button>
						  </div>
						  <div class="modal-body">

							<h5>Deseja excluir a Land Page <?php echo $consulta1['nomePagina']; ?>?</h5>

						  </div>
						  <div class="modal-footer">
							<button type="button" class="btn btn-outline-secondary" data-dismiss="modal"><i class="fa-regular fa-circle-xmark"></i> Fechar</button>
							<a href="alt_paginas.php?step=1&id=<?php echo $consulta1['identificador']; ?>" class="btn btn-outline-danger"><i class="fa-solid fa-trash-can"></i> Excluir</a>
						  </div>
						</div>
					  </div>
					</div>
					  
					</tr>
					<?php
					$domSelecionado = '';
					}
					?>
				  </tbody>
				</table>
			</div>
        </div>
    </div>
</div>

<!-- Modal Inserção da LP -->
<div class="modal fade" id="insertLp" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
  <div class="modal-dialog" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title" id="exampleModalLabel">Insira a Land Page</h5>
        <button type="button" class="close" data-dismiss="modal" aria-label="Fechar">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="modal-body">
		<?php
		$id_1 = rand(10000, 99999);
		$id_2 = rand(10000, 99999);
		$nw_id = $id_1.'-'.$id_2;
		?>
		<form action="alt_paginas.php" method="GET">
		<div class="form-group">
            <input type="text" class="form-control" name="id" placeholder="Identificador" value="<?php echo $nw_id; ?>" readonly>
			<input type="hidden" name="step" value="0">
        </div>
		<div class="form-group">
            <input type="text" class="form-control" name="lp" placeholder="Nome da Land Page" REQUIRED>
        </div>
		<div class="form-group">
            <select class="form-control" name="dominio" REQUIRED>
				<option value="">-- Selecionar o domínio --</option>
				<?php
				$sql2 = $conecta->query("SELECT * FROM dominios");
				while ($consulta2 = $sql2->fetch_assoc()){
				?>
				<option value="<?php echo $consulta2['identificador']; ?>"><?php echo $consulta2['enderecoDominio']; ?></option>
				<?php
				}
				?>
			</select>
        </div>
      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-outline-secondary" data-dismiss="modal"><i class="fa-regular fa-circle-xmark"></i> Fechar</button>
        <button type="submit" class="btn btn-outline-info"><i class="fa-regular fa-floppy-disk"></i> Salvar Domínio</button>
		</form>
      </div>
    </div>
  </div>
</div>
    
<script src="https://code.jquery.com/jquery-3.3.1.slim.min.js" integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo" crossorigin="anonymous"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.3/umd/popper.min.js" integrity="sha384-ZMP7rVo3mIykV+2+9J3UJ46jBk0WLaUAdn689aCwoqbBJiSnjAK/l8WvCWPIPm49" crossorigin="anonymous"></script>
<script src="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/js/bootstrap.min.js" integrity="sha384-ChfqqxuZUCnJSK3+MXmPNIyE6ZbWh2IMqE241rYiqJxyMiZ6OW/JmZQ5stwEULTy" crossorigin="anonymous"></script>
<script src="https://kit.fontawesome.com/f598390b69.js" crossorigin="anonymous"></script>
</body>
</html>